## com.acme
Class JNDITest

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.acme.JNDITest

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class JNDITest

extends javax.servlet.http.HttpServlet

JNDITest Use JNDI from within Jetty. Also, use servlet spec 2.5 resource injection and lifecycle callbacks from within the web.xml to set up some of the JNDI resources.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DATE_FORMAT`

Constructor Summary
`JNDITest()`

Method Summary
`void` `destroy()`
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `doMail(java.lang.String mailTo, java.lang.String mailFrom)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `doTransaction(javax.servlet.ServletOutputStream out, boolean doCommit)`
`void` `init(javax.servlet.ServletConfig config)`
`void` `setMyDatasource(javax.sql.DataSource ds)`
`void` `setMyDatasource2(javax.sql.DataSource ds)`
`void` `setMyDatasource99(javax.sql.DataSource ds)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final java.lang.String DATE_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### JNDITest

    public JNDITest()

Method Detail

### setMyDatasource

    public void setMyDatasource(javax.sql.DataSource ds)

### setMyDatasource2

    public void setMyDatasource2(javax.sql.DataSource ds)

### setMyDatasource99

    public void setMyDatasource99(javax.sql.DataSource ds)

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doMail

    public void doMail(java.lang.String mailTo,
                       java.lang.String mailFrom)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doTransaction

    public void doTransaction(javax.servlet.ServletOutputStream out,
                              boolean doCommit)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.